@import url('https://fonts.googleapis.com/css2?family=Inter&family=Monoton&family=Montserrat&display=swap');
html {
    scroll-behavior: smooth;
}

body {
    margin: 0;
    padding: 0;
    background-color: black;
    color: white;
}


/*footer*/

.footer {
    height: 120px;
    background-color: black;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

.footer p {
    text-align: center;
    font-size: xx-large;
    font-family: Inter, sans-serif;
    font-style: normal;
    font-weight: 400;
    line-height: normal;
    text-transform: capitalize;
}

#background-video,
#loader-video {
    height: 100vh;
    width: 100vw;
    object-fit: cover;
    position: fixed;
    left: 0;
    right: 0;
    top: 0;
    bottom: 0;
    z-index: -1;
}

#mydDiv {
    display: none;
}


/*header*/

.navbar {
    display: flex;
    flex-direction: row;
    justify-content: space-around;
    align-items: center;
    padding: 42px;
}

.navbar a {
    color: white;
    text-decoration: none;
    font-size: x-large;
    padding: 5px;
    font-family: 'Inter', sans-serif;
    text-shadow: 0 0 11px #fffbfb;
}

.logo {
    font-size: xx-large;
    font-family: 'Monoton', sans-serif;
}

.audio-container {
    position: fixed;
    bottom: 20px;
    right: 20px;
    opacity: 0.5;
}

audio#audioPlay {
    filter: opacity(0.5);
    width: 100px;
}


/*main*/

#jeux h2,
#actualite h2,
#contact h2 {
    display: block;
    font-weight: 800;
    font-family: 'Inter', sans-serif;
    font-size: 50px;
    text-transform: uppercase;
    text-align: center;
    letter-spacing: 0.2rem;
    color: transparent;
    position: relative;
    text-shadow: 1px 1px 1px rgba(248, 247, 247, 0.7);
    animation: flickering 2s linear infinite both;
    animation-duration: 1.5s;
    overflow: hidden;
    transition: .12s;
}


/*section 1*/

#bienvenue {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    height: 980px;
}

.content {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    color: white;
}

.content h1 {
    font-size: 153px;
    font-family: 'Monoton', sans-serif;
    color: yellow;
    font-weight: 100;
}

.content h2 {
    font-family: 'Montserrat', sans-serif;
}


/*section 2*/

#actualite {
    height: 960px;
    background-color: #000000cf;
    width: 100%;
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
}

#actualite p {
    width: 77%;
    text-align: center;
    font-size: x-large;
    font-family: 'Inter', sans-serif;
}

.droite_actualite {
    width: 50%;
    height: 100%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

.droite,
.gauche {
    width: 50%;
    height: 100%;
    display: flex;
    flex-direction: column;
    justify-content: space-evenly;
    align-items: center;
}

.gauche img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}


/*section 3*/

.droite_jeux,
.gauche_jeux {
    width: 50%;
    height: 100%;
    display: flex;
    flex-direction: column;
    justify-content: space-evenly;
    align-items: center;
}

#jeux {
    height: 980px;
    background-color: rgb(151 36 180 / 64%);
    width: 100%;
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
}

#jeux p {
    width: 77%;
    text-align: center;
    font-size: x-large;
    font-family: 'Inter', sans-serif;
}

#video_jeu {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.galerie {
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
}

.galerie img {
    width: 85%;
    border-radius: 10%;
    margin-left: 30px;
    flex-wrap: wrap;
}


/*vue-contact*/

#contactForm {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

#contact {
    height: 980px;
    background-color: black;
    width: 100%;
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
}

.contact {
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
}

.gauche_contact {
    height: 980px;
    width: 50%;
}

.gauche_contact img {
    height: 100%;
    width: 100%;
    object-fit: cover;
}

@keyframes flickering {
    0%,
    100% {
        opacity: 1;
    }
    41.99% {
        opacity: 1;
    }
    42% {
        opacity: 0;
    }
    43% {
        opacity: 0;
    }
    43.01% {
        opacity: 1;
    }
    47.99% {
        opacity: 1;
    }
    48% {
        opacity: 0;
    }
    49% {
        opacity: 0;
    }
    49.01% {
        opacity: 1;
    }
}

.droite_contact {
    height: 960px;
    width: 50%;
    display: flex;
    flex-direction: column;
    justify-content: space-evenly;
    align-items: center;
}

.droite_contact p {
    text-align: center;
    font-size: 21px;
    font-family: Montserrat, sans-serif;
    font-style: normal;
    font-weight: 400;
    line-height: normal;
    width: 69%
}

.droite_contact button {
    padding: 30px;
    width: 230px;
    background-color: black;
    color: white;
    border: 4px solid #fff;
    border-radius: 12px;
    font-size: x-large;
    font-family: Montserrat, sans-serif;
}

input#email,
input#sujet {
    width: 520px;
    height: 30px;
}

textarea#message {
    height: 120px;
}

.container_contact {
    display: flex;
    flex-direction: column;
    justify-content: space-around;
    height: 660px;
    width: 550px;
    padding: 12px;
    align-items: center;
    box-shadow: 1px 1px 9px 3px white;
}

.name_card {
    display: flex;
    flex-direction: row;
    width: 550px;
}

label {
    padding: 10px;
}

.content_card {
    display: flex;
    flex-direction: column;
}


/*_________________version mobile________________*/

@media only screen and (max-width: 767px) {
    /*element global*/
    .navbar {
        flex-direction: column;
        padding: 15px;
    }
    .logo {
        color: yellow;
    }
    footer {
        height: 160px;
    }
    footer p {
        text-align: center;
        ;
        font-size: medium;
    }
    audio#audioPlay {
        filter: opacity(0.1);
        width: 100px;
    }
    audio#audioPlay:hover {
        filter: opacity(1);
    }
    /*main*/
    /*s1 : bienvenue*/
    #bienvenue {
        height: 520px;
        padding: 50px;
    }
    .content h1 {
        visibility: hidden;
    }
    .content h2 {
        text-align: center;
        font-family: 'Inter', sans-serif;
        text-shadow: 0 0 11px #fffbfb;
    }
    .gauche {
        display: none;
    }
    #jeux h2,
    #actualite h2,
    #contact h2 {
        font-size: 30px;
    }
    /*s1:actualite*/
    .droite_actualite {
        width: 100%;
    }
    /*s3:actualite*/
    #jeux {
        height: 1070px;
    }
    .galerie {
        flex-direction: column;
    }
    .droite_jeux {
        display: none;
    }
    .gauche_jeux {
        width: 100%;
    }
    /*contact*/
    .gauche_contact {
        display: none;
    }
    .droite_contact {
        width: 100%;
    }
    .droite_contact h2 {
        font-size: x-large;
    }
    .droite_contact p {
        font-size: medium;
    }
    .container_contact {
        width: 300px;
    }
    .name_card {
        flex-direction: column;
        width: auto;
    }
    input#email,
    input#sujet {
        width: auto;
        height: auto;
    }
}